Loading...
Searching...
No Matches
Gudhi::cech_complex::SimplicialComplexForMEB Struct Reference

`#include <concept/Cech_complex/SimplicialComplexForMEB.h>`

## Public Types

typedef unspecified | Simplex_handle
| Handle for a simplex.
typedef unspecified | Vertex_handle
| Handle for a vertex. Must be a non-negative integer, it is also used as an index into the input list of points.
typedef unspecified | Filtration_value
| Type of filtration values.
typedef unspecified | Simplex_key
| Integer type large enough to index all simplices.

## Public Member Functions

Filtration_value | filtration (Simplex_handle simplex)
| Returns the filtration value to the 'simplex'.
int | assign_filtration (Simplex_handle simplex, Filtration_value filtration)
| Assigns this 'filtration' value to the 'simplex'.
Simplex_key | key (Simplex_handle simplex)
| Returns the key assigned to the 'simplex' with assign_key().
void | assign_key (Simplex_handle simplex, Simplex_key key)
| Assigns this 'key' to the 'simplex'.
Simplex_vertex_range | simplex_vertex_range (Simplex_handle simplex)
| Returns a range over vertices (as Vertex_handle) of a given simplex.
Boundary_opposite_vertex_simplex_range | boundary_opposite_vertex_simplex_range (Simplex_handle simplex)
| Returns a range of the pairs (simplex, opposite vertex) of the boundary of the 'simplex'.
void | for_each_simplex (auto callback)
| Calls callback(simplex, dim) for every simplex of the complex, with the guarantee that faces are visited before cofaces.

## Detailed Description

The concept SimplicialComplexForMEB describes the requirements for a type to implement a simplicial complex that can be filled by assign_MEB_filtration(). It is typically satisfied by Simplex_tree if SimplexTreeOptions::store_key is true.

The documentation for this struct was generated from the following file:

- concept/Cech_complex/SimplicialComplexForMEB.h